#!/bin/bash

# Install starship
curl -sS https://starship.rs/install.sh | sh -s -- -y

# Set starship theme
starship preset gruvbox-rainbow -o ~/.config/starship.toml

# Install libegl1-mesa
sudo apt update && sudo apt-get install -y libegl1-mesa

# Set utc_time_offset in starship.toml
sed -i '/\[time\]/a utc_time_offset = \"+1\"' ~/.config/starship.toml

# Add starship to bashrc
echo 'eval "$(starship init bash)"' >> "/home/$USER/.bashrc"
